This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 502904 - Gimp don't save jpeg from RAW photo open with UFRAW
Gimp don't save jpeg from RAW photo open with UFRAW
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 13:35 EDT by Rafa
Modified: 2016-04-21 07:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1328903 1328906 (view as bug list)
Environment:
Last Closed: 2009-12-31 07:32:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafa 2009-05-27 13:35:43 EDT
Description of problem:


Binary package hint: gimp

When loading a raw image (Olympus raw E-520) from UFRaw to Gimp, gimp will not save the image as jpg. Other formats are OK. I get a GIMP Message saying:
 Saving '/home/warper/file.jpg' failed:
 Procedure 'file-jpeg-save' returned no return values

If Gimp is started from a terminal I can see the following message: "/usr/lib/gimp/2.0/plug-ins/file-jpeg: fatal error: Segmentation fault"

Version-Release number of selected component (if applicable):

gimp.x86_64 2:2.6.6-3.fc11
ufraw-gimp.x86_64 0:0.15-2.fc11

How reproducible:


Steps to Reproduce:
1.Open a RAW photo in ufraw
2.Send the photo to Gimp
3.Save as jpeg
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2009-06-09 12:39:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Nils Philippsen 2009-08-18 09:44:20 EDT
Please check whether you can reproduce this bug with gimp-2.6.7-2.fc11 which should hit updates-testing shortly.
Comment 3 Nils Philippsen 2009-09-07 04:48:11 EDT
Ping?
Comment 4 Nils Philippsen 2009-12-31 07:32:39 EST
Closing due to inactivity.
Comment 5 ravit 2016-04-20 10:02:43 EDT
Unable to open raw files with gimp-ufraw.

This is the error message:
Opening '/home/ravit/Pictures/101_FUJI/DSCF1020.RAF' failed:

Procedure 'file-ufraw-load' returned no return values

And this is the error i'm getting when running gimp from terminal:
/usr/lib/gimp/2.0/plug-ins/script-fu terminated: Interrupt
gimp: terminated: Interrupt

Any help will be more than welcome!
Comment 6 Nils Philippsen 2016-04-21 07:51:37 EDT
(In reply to ravit from comment #5)
> Unable to open raw files with gimp-ufraw.
> 
> This is the error message:
> Opening '/home/ravit/Pictures/101_FUJI/DSCF1020.RAF' failed:
> 
> Procedure 'file-ufraw-load' returned no return values
> 
> And this is the error i'm getting when running gimp from terminal:
> /usr/lib/gimp/2.0/plug-ins/script-fu terminated: Interrupt
> gimp: terminated: Interrupt

This is a different problem than what was originally reported and very likely on a different stable version of GIMP (simply assuming you're on the current 2.8.x branch). Please file a separate report with as much detailed information as possible (what you did step-by-step, exact package versions) and don't forget to attach the raw image file which you cannot load to the report.

Note You need to log in before you can comment on or make changes to this bug.